package cn.freemud.service.thirdparty;


import cn.freemud.entities.dto.CheckDeliveryAddressReq;
import cn.freemud.entities.dto.CheckDeliveryAddressResp;
import org.springframework.stereotype.Component;

//@IgnoreFeignLogAnnotation
@Component
public class TakeawayServiceClientFallback implements TakeawayServiceClient {

    /**
     * 查询配送超过4秒熔断，返回错误码，直接返回前端
     * @param checkDeliveryAddressReq
     * @return
     */
    @Override
    public CheckDeliveryAddressResp checkDeliveryAddress(CheckDeliveryAddressReq checkDeliveryAddressReq) {
        CheckDeliveryAddressResp response = new CheckDeliveryAddressResp();
        response.setCode("200");
        return response;
    }

}
